pydo.organizations.create_team()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.organizations.create_team(
body={
"name": "production",
"invitations": [...],
},
)Description
To create a new team within an organization, send a POST request to
/v2/organizations/team.
This endpoint must be called in an organization context. Optionally include
invitations to invite users to the new team. The owner role cannot be
assigned via invitation.
Parameters
namestring requiredExample:
productionThe human-readable name for the team to create.
invitationsarray of objects optionalExample:
[{'email': '[email protected]', 'role': 'member'}, {'email': '[email protected]', 'role': 'biller'}]Optional invitations to send when creating the team. Each invitation includes an email address and a role. The
ownerrole cannot be assigned via invitation.Show child properties
emailstring requiredExample:
[email protected]The email address of the user to invite.
rolestring requiredThe role to assign to the invited user. The
ownerrole cannot be assigned via invitation.
Request Sample
Response Example
More Information
See /v2/organizations/team in the API reference for additional detail on responses, headers, parameters, and more.